Skip to content
Docs
Installs

List installs in a zone

List installs in a zone

client.Zones.Installs.List(ctx, zoneID, params) (*InstallList, error)
GET/zones/{zone_id}/installs

List installs in a zone

ParametersExpand Collapse
zoneID string
params ZoneInstallListParams
After param.Field[string]optional

Query param: Cursor for forward pagination. Returned in Pagination.after_cursor. Mutually exclusive with before.

minLength1
maxLength255
Before param.Field[string]optional

Query param: Cursor for backward pagination. Returned in Pagination.before_cursor. Mutually exclusive with after.

minLength1
maxLength255
Limit param.Field[int64]optional

Query param: Maximum number of items to return per page.

minimum1
maximum100
XClientRequestID param.Field[string]optional

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid
ReturnsExpand Collapse
type InstallList struct{…}
Items []Install
ID string
CreatedAt Time
formatdate-time
PackageID string
PackageSlug string
Accepts one of the following:
const InstallStatusPending InstallStatus = "pending"
const InstallStatusActive InstallStatus = "active"
const InstallStatusDeleting InstallStatus = "deleting"
const InstallStatusFailed InstallStatus = "failed"
const InstallStatusDeleted InstallStatus = "deleted"
UpdatedAt Time
formatdate-time
Inputs map[string, any]optional

Install-specific input values that supplement the package's inputs. Merged with the package's input values to form the complete entities.inputs for entity binding evaluation.

OrgID stringoptional
Outputs map[string, any]optional

Resolved output values produced by the provisioner, conforming to the package's Package.outputs.schema. Flat — the provisioner evaluates Package.outputs.bindings against the resolved entity graph.

PackageVersion int64optional
ZoneID stringoptional

List installs in a zone

package main

import (
  "context"
  "fmt"

  "github.com/keycardai/keycard-go"
)

func main() {
  client := keycard.NewClient(

  )
  installList, err := client.Zones.Installs.List(
    context.TODO(),
    "zone_id",
    keycard.ZoneInstallListParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", installList.Items)
}
{
  "items": [
    {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "package_id": "package_id",
      "package_slug": "package_slug",
      "status": "pending",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "inputs": {
        "client_id": "bar",
        "client_secret": "bar"
      },
      "links": [
        {
          "href": "href",
          "rel": "rel",
          "properties": {
            "foo": "bar"
          },
          "titles": {
            "foo": "string"
          },
          "type": "type"
        }
      ],
      "org_id": "org_id",
      "outputs": {
        "mcp_url": "bar"
      },
      "package_version": 0,
      "zone_id": "zone_id"
    }
  ],
  "pagination": {
    "after_cursor": "x",
    "before_cursor": "x",
    "total_count": 0
  }
}
Returns Examples
{
  "items": [
    {
      "id": "id",
      "created_at": "2019-12-27T18:11:19.117Z",
      "package_id": "package_id",
      "package_slug": "package_slug",
      "status": "pending",
      "updated_at": "2019-12-27T18:11:19.117Z",
      "inputs": {
        "client_id": "bar",
        "client_secret": "bar"
      },
      "links": [
        {
          "href": "href",
          "rel": "rel",
          "properties": {
            "foo": "bar"
          },
          "titles": {
            "foo": "string"
          },
          "type": "type"
        }
      ],
      "org_id": "org_id",
      "outputs": {
        "mcp_url": "bar"
      },
      "package_version": 0,
      "zone_id": "zone_id"
    }
  ],
  "pagination": {
    "after_cursor": "x",
    "before_cursor": "x",
    "total_count": 0
  }
}